%{?nodejs_find_provides_and_requires}

%global packagename from2
%global enable_tests 1

Name:		nodejs-from2
Version:	2.3.0
Release:	1%{?dist}
Summary:	Convenience wrapper for ReadableStream

License:	MIT
URL:		https://github.com/hughsk/from2
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(inherits)
BuildRequires:	npm(readable-stream)
%if 0%{?enable_tests}
BuildRequires:	npm(tape)
%endif

%description
Convenience wrapper for ReadableStream, with an API lifted from "from" and
"through2".


%prep
%autosetup -n package

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tape test.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun Sep 24 2017 Jared Smith <jsmith@fedoraproject.org> - 2.3.0-1
- Initial packaging
